Loading...
Searching...
No Matches
osmo_iuup_instance Struct Reference

## Data Fields

struct osmo_iuup_rnl_config | config
struct osmo_fsm_inst * | fi
uint8_t | mode_version
struct { |
struct osmo_timer_nt init |
struct osmo_timer_nt ta |
struct osmo_timer_nt rc |
} | timer |
osmo_prim_cb | user_prim_cb
void * | user_prim_priv
osmo_prim_cb | transport_prim_cb
void * | transport_prim_priv
uint8_t | type14_fn

## Field Documentation

## config

struct osmo_iuup_rnl_config osmo_iuup_instance::config

## fi

struct osmo_fsm_inst* osmo_iuup_instance::fi

Referenced by iuup_fsm_init(), iuup_fsm_init_on_enter(), iuup_fsm_null(), iuup_fsm_smpsdu_data(), and iuup_fsm_timer_cb().

## init

struct osmo_timer_nt osmo_iuup_instance::init

## mode_version

uint8_t osmo_iuup_instance::mode_version

## rc

struct osmo_timer_nt osmo_iuup_instance::rc

## ta

struct osmo_timer_nt osmo_iuup_instance::ta

## [struct]

struct { ... } osmo_iuup_instance::timer

## transport_prim_cb

osmo_prim_cb osmo_iuup_instance::transport_prim_cb

## transport_prim_priv

void* osmo_iuup_instance::transport_prim_priv

## type14_fn

uint8_t osmo_iuup_instance::type14_fn

## user_prim_cb

osmo_prim_cb osmo_iuup_instance::user_prim_cb

## user_prim_priv

void* osmo_iuup_instance::user_prim_priv

The documentation for this struct was generated from the following file:

- src/gsm/iuup.c